Bug 1197361 - [abrt] xfdashboard: _xfdashboard_image_content_load_from_icon_name(): xfdashboard killed by SIGTRAP
Summary: [abrt] xfdashboard: _xfdashboard_image_content_load_from_icon_name(): xfdashb...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdashboard
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1559238becf8869c07535d0ed03...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-28 18:37 UTC by Mohnish
Modified: 2015-06-10 19:07 UTC (History)
3 users (show)

Fixed In Version: xfdashboard-0.4.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:07:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (62.04 KB, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: cgroup (190 bytes, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: core_backtrace (25.21 KB, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: dso_list (9.90 KB, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: environ (1.66 KB, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: maps (53.34 KB, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: open_fds (1.60 KB, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details
File: var_log_messages (136 bytes, text/plain)
2015-02-28 18:37 UTC, Mohnish
no flags Details

Description Mohnish 2015-02-28 18:37:17 UTC
Version-Release number of selected component:
xfdashboard-0.3.8-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/xfdashboard
crash_function: _xfdashboard_image_content_load_from_icon_name
executable:     /usr/bin/xfdashboard
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _xfdashboard_image_content_load_from_icon_name at image-content.c:597
 #7 _clutter_content_attached at ./clutter-content.c:225
 #8 clutter_actor_set_content at ./clutter-actor.c:19473
 #9 _xfdashboard_button_on_mapped_changed at button.c:663
 #15 g_object_notify_by_spec_internal at gobject.c:1149
 #16 g_object_notify_by_pspec at gobject.c:1259
 #17 clutter_actor_real_map at ./clutter-actor.c:1506
 #18 clutter_actor_set_mapped at ./clutter-actor.c:1263
 #19 clutter_actor_update_map_state at ./clutter-actor.c:1450
 #20 clutter_actor_real_map at ./clutter-actor.c:1512

Comment 1 Mohnish 2015-02-28 18:37:20 UTC
Created attachment 996502 [details]
File: backtrace

Comment 2 Mohnish 2015-02-28 18:37:21 UTC
Created attachment 996503 [details]
File: cgroup

Comment 3 Mohnish 2015-02-28 18:37:23 UTC
Created attachment 996504 [details]
File: core_backtrace

Comment 4 Mohnish 2015-02-28 18:37:24 UTC
Created attachment 996505 [details]
File: dso_list

Comment 5 Mohnish 2015-02-28 18:37:25 UTC
Created attachment 996506 [details]
File: environ

Comment 6 Mohnish 2015-02-28 18:37:26 UTC
Created attachment 996507 [details]
File: limits

Comment 7 Mohnish 2015-02-28 18:37:27 UTC
Created attachment 996508 [details]
File: maps

Comment 8 Mohnish 2015-02-28 18:37:28 UTC
Created attachment 996509 [details]
File: open_fds

Comment 9 Mohnish 2015-02-28 18:37:29 UTC
Created attachment 996510 [details]
File: proc_pid_status

Comment 10 Mohnish 2015-02-28 18:37:30 UTC
Created attachment 996511 [details]
File: var_log_messages

Comment 11 Mukundan Ragavan 2015-02-28 19:01:40 UTC
What were you doing when this happened?

Do you see this with 0.3.9 in testing?

Thanks for the report.

Comment 12 Fedora Update System 2015-03-19 01:38:33 UTC
xfdashboard-0.3.90-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfdashboard-0.3.90-1.fc21

Comment 13 Mohnish 2015-03-19 15:46:55 UTC
(In reply to Mukundan Ragavan from comment #11)
> What were you doing when this happened?
--Nothing special. This happens, every time I click on XFDashboard from the menu.

> Do you see this with 0.3.9 in testing?
--YES. Observed this with 0.3.90-1

Comment 14 Fedora Update System 2015-03-21 04:48:42 UTC
Package xfdashboard-0.3.90-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfdashboard-0.3.90-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4221/xfdashboard-0.3.90-1.fc21
then log in and leave karma (feedback).

Comment 15 Mukundan Ragavan 2015-03-27 02:55:01 UTC
Please test this build and check if it solves your problem.

https://koji.fedoraproject.org/koji/buildinfo?buildID=624091

Comment 16 Fedora Update System 2015-03-28 00:51:46 UTC
xfdashboard-0.3.90-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfdashboard-0.3.90-2.fc21

Comment 17 Fedora Update System 2015-03-28 23:34:08 UTC
xfdashboard-0.3.91-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfdashboard-0.3.91-1.fc21

Comment 18 Fedora Update System 2015-04-08 06:57:53 UTC
xfdashboard-0.3.91-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Mohnish 2015-04-17 02:49:04 UTC
Tested again today. Problem still present in 0.3.9.1.fc21.x86_64 version.

Comment 20 Fedora Update System 2015-05-22 00:12:03 UTC
xfdashboard-0.4.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfdashboard-0.4.0-1.fc21

Comment 21 Fedora Update System 2015-05-30 17:41:43 UTC
xfdashboard-0.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfdashboard-0.4.1-1.fc21

Comment 22 Fedora Update System 2015-05-30 19:58:17 UTC
xfdashboard-0.4.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfdashboard-0.4.2-1.fc21

Comment 23 Fedora Update System 2015-06-10 19:07:51 UTC
xfdashboard-0.4.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.